Class SelectLineSegment
Inheritance
System.Object
System.MarshalByRefObject
SelectLineSegment
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Routing
Assembly: NXOpen.dll
Syntax
public class SelectLineSegment : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectLineSegment()
Declaration
protected SelectLineSegment()
Properties
Value
Declaration
public LineSegment Value { get; set; }
Property Value
Type | Description |
---|---|
LineSegment |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public LineSegment GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
LineSegment |
GetValue(out InferSnapType.SnapType, out LineSegment, out View, out Point3d, out LineSegment, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out LineSegment selection1, out View view1, out Point3d point1, out LineSegment selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
LineSegment | selection1 | |
View | view1 | |
Point3d | point1 | |
LineSegment | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out LineSegment, out View, out Point3d)
Declaration
public void GetValue(out LineSegment selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
LineSegment | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, LineSegment, View, Point3d, LineSegment, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, LineSegment selection1, View view1, Point3d point1, LineSegment selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
LineSegment | selection1 | |
View | view1 | |
Point3d | point1 | |
LineSegment | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(LineSegment, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(LineSegment selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
LineSegment | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(LineSegment, View, Point3d)
Declaration
public void SetValue(LineSegment selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
LineSegment | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink